/*
	TheExtensionLab MegaMenu Grid
	Based on 960 Grid System - http://960.gs/ & 960 Fluid - http://www.designinfluences.com/
*/
@import "settings";
@import "mixins/main";
@import "mixins/grid";

.column {
  float: left;
  position: relative;
  box-sizing: border-box;
}

.#{$container-class} {
  width: 100%;
  overflow: hidden;
}

@for $i from 1 through $grid-columns {
  .#{$container-class} .#{$class-prefix}column_#{$i}_#{$grid-columns} {
    @include grid_column($i);
  }
  //@media #{$small-only}{
  //  .#{$container-class}.responsive  .#{$class-prefix}column_#{$i}_#{$grid-columns} {
  //    @include grid_column($grid-columns); //if has .responsive class set columns to 100% on small screens
  //  }
  //}
}

@for $i from 1 through 5 {
  .#{$container-class} .#{$class-prefix}column_#{$i}_5 {
    @include grid_column($i, 5);
  }
  //@media #{$small-only}{
  //  .#{$container-class}.responsive .#{$class-prefix}column_#{$i}_5 {
  //    @include grid_column($grid-columns); //if has .responsive class set columns to 100% on small screens
  //  }
  //}
}

.#{$container-class} div[class^="#{$class-prefix}grid_"] {
  @include grid_column(24, 24);
}